<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:background="@drawable/im_custom_message_round_white_6dp_bg"
    android:orientation="vertical"
    android:padding="@dimen/platform_dp_10">

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="为你推荐了一位咨询师，快去看看吧！"
        android:textColor="@color/color_9f9f9f"
        android:textSize="12sp" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/platform_dp_10"
        android:background="@drawable/im_custom_message_round_f7f7f7_4dp_bg">

        <FrameLayout
            android:layout_width="210dp"
            android:layout_height="230dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <FrameLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content">

                <ImageView
                    android:id="@+id/expert_Img"
                    android:layout_width="210dp"
                    android:layout_height="210dp"
                    android:scaleType="centerCrop"
                    />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:paddingBottom="@dimen/platform_dp_20">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:layout_width="match_parent"
                        android:layout_height="110dp"
                        android:layout_alignParentBottom="true"
                        android:background="@drawable/im_message_shader_bg"
                        app:layout_constraintBottom_toBottomOf="parent">

                        <TextView
                            android:id="@+id/expertName"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/platform_dp_10"
                            android:layout_marginTop="@dimen/platform_dp_27"
                            android:text="名字"
                            android:textColor="@color/white"
                            android:textSize="@dimen/im_text_size_15"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:id="@+id/expertSecondTitle"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/platform_dp_8"
                            android:layout_marginEnd="@dimen/platform_dp_5"
                            android:ellipsize="end"
                            android:maxLines="1"
                            android:text="二级心理咨询师二级心理咨询师二级心理咨询师"
                            android:textColor="@color/white"
                            android:textSize="@dimen/platform_sp_12"
                            app:layout_constraintBottom_toBottomOf="@id/expertName"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toEndOf="@id/expertName" />

                        <androidx.recyclerview.widget.RecyclerView
                            android:id="@+id/expertTagRV"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/platform_dp_10"
                            android:layout_marginTop="@dimen/platform_dp_4"
                            android:orientation="horizontal"
                            app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toBottomOf="@id/expertName" />

                    </androidx.constraintlayout.widget.ConstraintLayout>

                </RelativeLayout>
            </FrameLayout>

            <RelativeLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingBottom="@dimen/platform_dp_6">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:layout_marginStart="@dimen/platform_dp_6"
                    android:layout_marginEnd="@dimen/platform_dp_6"
                    android:background="@drawable/im_custom_message_round_white_4dp_bg"
                    android:paddingStart="@dimen/platform_dp_8">


                    <TextView
                        android:id="@+id/scoreExpert"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/platform_dp_8"
                        android:fontFamily="@font/platform_din_bold"
                        android:includeFontPadding="false"
                        android:padding="0dp"
                        android:text="4.9"
                        android:textColor="@color/im_color_FF5040"
                        android:textSize="15sp"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <LinearLayout
                        android:id="@+id/m_ll_feedbackRate"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginLeft="@dimen/platform_dp_4"
                        android:layout_marginBottom="@dimen/platform_dp_4"
                        android:orientation="horizontal"
                        app:layout_constraintBottom_toBottomOf="@id/scoreExpert"
                        app:layout_constraintLeft_toRightOf="@id/scoreExpert" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="@dimen/platform_dp_8"
                        android:gravity="center"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintLeft_toLeftOf="@id/scoreExpert"
                        app:layout_constraintTop_toBottomOf="@id/scoreExpert">

                        <TextView
                            android:id="@+id/commentCount"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="@dimen/platform_dp_3"
                            android:backgroundTint="@color/color_666666"
                            android:includeFontPadding="false"
                            android:text="0000人评价"
                            android:textSize="8sp" />

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:src="@drawable/im_arrow_right_4dp" />
                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toEndOf="@id/m_ll_feedbackRate"
                        app:layout_constraintTop_toTopOf="parent">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="@dimen/platform_dp_5"
                            android:layout_weight="2"
                            android:gravity="center"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/cerfiticateYear"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:fontFamily="@font/platform_din_bold"
                                android:text="999"
                                android:includeFontPadding="false"
                                android:textColor="@color/im_color_242424"
                                android:textSize="14sp" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/platform_dp_2"
                                android:text="持证年限"
                                android:textColor="@color/color_666666"
                                android:textSize="6sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="@dimen/platform_dp_4"
                            android:layout_weight="2"
                            android:gravity="center"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/serviceCount"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:fontFamily="@font/platform_din_bold"
                                android:text="999"
                                android:includeFontPadding="false"
                                android:textColor="@color/im_color_242424"
                                android:textSize="14sp" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/platform_dp_2"
                                android:text="服务人数"
                                android:textColor="@color/color_666666"
                                android:textSize="6sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="3"
                            android:gravity="center"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/serviceTime"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:fontFamily="@font/platform_din_bold"
                                android:text="999"
                                android:includeFontPadding="false"
                                android:textColor="@color/im_color_242424"
                                android:textSize="14sp" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginTop="@dimen/platform_dp_2"
                                android:text="服务时长(小时)"
                                android:textColor="@color/color_666666"
                                android:textSize="6sp" />
                        </LinearLayout>
                    </LinearLayout>
                </androidx.constraintlayout.widget.ConstraintLayout>
            </RelativeLayout>
        </FrameLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>